Bug 477846 - python-virtualenv requires python-devel since it needs Makefile
python-virtualenv requires python-devel since it needs Makefile
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-virtualenv (Show other bugs)
10
noarch Linux
low Severity high
: ---
: ---
Assigned To: Steve Milner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 02:20 EST by Jonathan Gardner
Modified: 2009-01-07 04:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:25:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Gardner 2008-12-24 02:20:49 EST
Description of problem:

python-virtualenv requires python-devel to be installed since it needs the Makefile to operate properly.


Version-Release number of selected component (if applicable):

$ rpm -qi python-virtualenv
Name        : python-virtualenv            Relocations: (not relocatable)
Version     : 1.3                               Vendor: Fedora Project
Release     : 1.fc10                        Build Date: Sun 28 Sep 2008 06:14:45 PM PDT
Install Date: Tue 23 Dec 2008 11:04:29 PM PST      Build Host: xenbuilder2.fedora.redhat.com
Group       : Development/Languages         Source RPM: python-virtualenv-1.3-1.fc10.src.rpm
Size        : 535660                           License: MIT
Signature   : DSA/SHA1, Tue 28 Oct 2008 09:46:28 PM PDT, Key ID bf226fcc4ebfc273
Packager    : Fedora Project
URL         : http://pypi.python.org/pypi/virtualenv
Summary     : Tool to create isolated Python environments
Description :
virtualenv is a tool to create isolated Python environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license.


How reproducible:

Simply run the virtualenv program with good arguments.


Steps to Reproduce:
1. Remove python-devel and install python-virtualenv
2. Run 'virtualenv <some path>'

  
Actual results:

$ virtualenv --no-site-packages /home/jgardner/Projects/political
Traceback (most recent call last):                                                  
  File "/usr/bin/virtualenv", line 8, in <module>                                   
    load_entry_point('virtualenv==1.3', 'console_scripts', 'virtualenv')()          
  File "/usr/lib/python2.5/site-packages/virtualenv.py", line 400, in main          
    unzip_setuptools=options.unzip_setuptools)                                      
  File "/usr/lib/python2.5/site-packages/virtualenv.py", line 510, in create_environment
    fix_lib64(lib_dir)                                                                  
  File "/usr/lib/python2.5/site-packages/virtualenv.py", line 680, in fix_lib64         
    if [(i,j) for (i,j) in distutils.sysconfig.get_config_vars().items()                
  File "/usr/lib/python2.5/distutils/sysconfig.py", line 493, in get_config_vars        
    func()                                                                              
  File "/usr/lib/python2.5/distutils/sysconfig.py", line 352, in _init_posix            
    raise DistutilsPlatformError(my_msg)                                                        
distutils.errors.DistutilsPlatformError: invalid Python installation: unable to open /usr/lib/python2.5/config/Makefile (No such file or directory) 


Expected results:

$ virtualenv --no-site-packages /home/jgardner/Projects/political
New python executable in /home/jgardner/Projects/political/bin/python
Installing setuptools...........................done.


Additional info:
Comment 1 Steve Milner 2008-12-25 23:50:02 EST
Thanks for catching this. I'm updating the spec and will have it out with 1.3.2.
Comment 2 Fedora Update System 2008-12-26 00:07:17 EST
python-virtualenv-1.3.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-virtualenv-1.3.2-1.fc10
Comment 3 Fedora Update System 2008-12-30 18:54:46 EST
python-virtualenv-1.3.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-virtualenv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11949
Comment 4 Fedora Update System 2009-01-07 04:25:25 EST
python-virtualenv-1.3.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.